"Connections to MySQL Community Servers are not supported. Please contact MySQL to obtain a MySQL Enterprise or Standard version" Error

Document ID : KB000073267
Last Modified Date : 21/03/2018
Show Technical Document Details
Question:
We are running R12.52 SP1 Build 499 Policy Server, and we are configuring a new MySQL database. When the Policy Server tries to connect to the MySQL database we see the following error in the logs:
"Connections to MySQL Community Servers are not supported. Please contact MySQL to obtain a MySQL Enterprise or Standard version."
Why do we need a MySQL Enterprise or Commercial Version? There seems to be no commercial versions available. Why we see this error?
Environment:
Policy Server R12.52 SP1
Answer:
This error is seen when you connect to a MySQL Community edition (https://www.mysql.com/products/community). The error is coming from the DataDirect drivers which does not support the MySQL Community edition. As per the current Platform Support Matrix for R12.52 SP1 : https://support.ca.com/phpdocs/7/5262/5262_SiteMinder_12_52_SP1_Platform_Support.pdf 
It mentions "Oracle MySQL Enterprise Server" as the only supported edition of MySQL server.

You can use the MySQL CLI client to determine which type of server are you using, as per the following article:
https://knowledgebase.progress.com/articles/Article/5155
mysql> show variables like 'version_comment';
Additional Information:
Current MySQL editions: https://www.mysql.com/products/